## kglobalacceld 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kglobalacceld)

set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)
find_package(ECM ${KF6_MIN_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(ECMAddTests)

# KGlobalAccelD contains functions that are marked as deprecated.
# These are part of the public DBus API and are used by older applications
# Therefore we must not exclude those by default
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED DBus Gui Widgets)

find_package(KF6Config ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6GlobalAccel ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6Service ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6JobWidgets ${KF6_MIN_VERSION} REQUIRED)


option(WITH_X11 "Build with X11 support." ON)

if(WITH_X11)
    find_package(XCB MODULE COMPONENTS XCB KEYSYMS XKB RECORD OPTIONAL_COMPONENTS XTEST)
    set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                        TYPE REQUIRED
                        )
    set(HAVE_X11 1)
else()
    set(HAVE_X11 0)
endif()

find_program(qdbus_EXECUTABLE NAMES qdbus qdbus6 qdbus-qt6)

if (NOT qdbus_EXECUTABLE)
    message("fall")
    set(qdbus_EXECUTABLE "qdbus")
endif()

ecm_setup_version(PROJECT VARIABLE_PREFIX KGLOBALACCELD
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KGlobalAccelDConfigVersion.cmake"
                        SOVERSION 0)

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.9.0
)

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KGlobalAccelD")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KGlobalAccelDConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KGlobalAccelDConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KGlobalAccelDConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KGlobalAccelDConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KGlobalAccelDTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KGlobalAccelDTargets.cmake NAMESPACE K:: )


install(FILES ${kglobalaccel_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGlobalAccel COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kglobalacceld 6.1.0

=== debian/changelog ===
kglobalacceld (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader.
  * Add Breaks/Replaces for kglobalacceld against libkf5globalaccel-bin
    to allow co-installability with KF5.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 19:45:15 +0200

kglobalacceld (6.0.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.0.90).
  * Update build-deps and deps with the info from cmake.
  * Add dbus session for running tests.
  * Update the list of installed files to not depend on the exact upstream
    version.
  * Update symbols from build for 6.0.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Jun 2024 21:34:48 +0200

kglobalacceld (6.0.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Initial release. (Closes: #1072656)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 06 Jun 2024 23:03:25 +0200

=== debian/control ===
Source: kglobalacceld
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6crash-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6globalaccel-dev (>= 6.2.0~),
               libkf6jobwidgets-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kglobalacceld
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
Rules-Requires-Root: no

Package: kglobalacceld
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5globalaccel-bin,
Replaces: libkf5globalaccel-bin,
Description: daemon for global keyboard shortcuts on the Plasma desktop
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the daemon and its desktop and service files.

Package: libkglobalacceld0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - shared library
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the shared library for interfacing with the daemon.

Package: libkglobalacceld-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkglobalacceld0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - development files
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the development files for the shared library.

## kglobalacceld 6.1.5

=== debian/changelog ===
kglobalacceld (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:58:31 +0100

kglobalacceld (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 17:55:40 +0100

kglobalacceld (6.1.3-1ubuntu1) oracular; urgency=medium

  * Merge fron Debian experimental. Remaining changes:
    - Version Breaks/Replaces of package kglobalacceld to make co-
      installable with libkf5globalaccel-bin in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Jul 2024 20:26:04 +0100

kglobalacceld (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:09 +0200

kglobalacceld (6.1.0-2ubuntu1) oracular; urgency=medium

  * Version Breaks/Replaces of package kglobalacceld to make co-
    installable with libkf5globalaccel-bin in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Jul 2024 07:17:21 +0100

kglobalacceld (6.1.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Only Breaks/Replaces versions of libkf5globalaccel-bin before it was made
    a dummy transitional package.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Jul 2024 19:40:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kglobalacceld
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -29,15 +30,15 @@
                xvfb,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kglobalacceld
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
 Rules-Requires-Root: no
 
 Package: kglobalacceld
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5globalaccel-bin,
-Replaces: libkf5globalaccel-bin,
+Breaks: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
+Replaces: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
 Description: daemon for global keyboard shortcuts on the Plasma desktop
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dbus-launch --exit-with-session dh_auto_test --buildsystem=kf6

## kglobalacceld 6.2.1

=== debian/changelog ===
kglobalacceld (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:44:32 +0200

kglobalacceld (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.1.90.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:40 +0200

kglobalacceld (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Drop useless ${shlibs:Depends} for libkglobalacceld-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:33 +0200

kglobalacceld (6.1.4-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Bump the Breaks / Replaces versions after the back and forth on KF5’s
    kglobalaccel.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 01:39:23 +0200

kglobalacceld (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:16 +0200

=== debian/control ===
Source: kglobalacceld
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6globalaccel-dev (>= 6.5.0~),
               libkf6jobwidgets-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6service-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kglobalacceld
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
Rules-Requires-Root: no

Package: kglobalacceld
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5globalaccel-bin (<< 5.115.0-7~),
Replaces: libkf5globalaccel-bin (<< 5.115.0-7~),
Description: daemon for global keyboard shortcuts on the Plasma desktop
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the daemon and its desktop and service files.

Package: libkglobalacceld0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - shared library
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the shared library for interfacing with the daemon.

Package: libkglobalacceld-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkglobalacceld0 (= ${binary:Version}), ${misc:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - development files
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the development files for the shared library.

## kglobalacceld 6.2.5

=== debian/changelog ===
kglobalacceld (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 18:59:56 +0000

kglobalacceld (6.2.4-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 02:17:21 -0600

kglobalacceld (6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:22:34 -0600

kglobalacceld (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:12:56 +0000

kglobalacceld (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * Update symbols from build logs.
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:56:10 +0000

kglobalacceld (6.1.5-0ubuntu3) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:20:51 +0100

kglobalacceld (6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:06:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kglobalacceld
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -24,20 +25,20 @@
                libxcb-xkb-dev,
                libxcb-xtest0-dev,
                libxcb1-dev,
-               qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
                xauth,
                xvfb,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kglobalacceld
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
 Rules-Requires-Root: no
 
 Package: kglobalacceld
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5globalaccel-bin (<< 5.115.0-7~),
-Replaces: libkf5globalaccel-bin (<< 5.115.0-7~),
+Breaks: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
+Replaces: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
 Description: daemon for global keyboard shortcuts on the Plasma desktop
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.
@@ -59,7 +60,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkglobalacceld0 (= ${binary:Version}), ${misc:Depends},
+Depends: libkglobalacceld0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: daemon for global keyboard shortcuts on the Plasma desktop - development files
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.

## kglobalacceld 6.2.90

=== debian/changelog ===
kglobalacceld (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 04:18:17 +0000

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.5.0~),
-               libkf6config-dev (>= 6.5.0~),
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6crash-dev (>= 6.5.0~),
-               libkf6dbusaddons-dev (>= 6.5.0~),
-               libkf6globalaccel-dev (>= 6.5.0~),
-               libkf6jobwidgets-dev (>= 6.5.0~),
-               libkf6kio-dev (>= 6.5.0~),
-               libkf6service-dev (>= 6.5.0~),
-               libkf6windowsystem-dev (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6crash-dev (>= 6.10.0~),
+               libkf6dbusaddons-dev (>= 6.10.0~),
+               libkf6globalaccel-dev (>= 6.10.0~),
+               libkf6jobwidgets-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6service-dev (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
                libxcb-keysyms1-dev,
                libxcb-record0-dev,
                libxcb-xkb-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	-xvfb-run -a dbus-launch --exit-with-session dh_auto_test --buildsystem=kf6

## kglobalacceld 6.3.0

=== debian/changelog ===
kglobalacceld (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:52:05 +0100

kglobalacceld (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:50:43 +0100

kglobalacceld (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:06:06 +0100

kglobalacceld (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:56:30 +0100

kglobalacceld (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:21:38 +0100

kglobalacceld (6.2.3-2) unstable; urgency=medium

  * Team upload.
  * Add hurd-i386 as architecture on which the test suite fails (similar to
    i386).
  * CI: update/simplify configuration.
  * Mark the dbus-x11, xauth, and xvfb build dependencies as <!nocheck>,
    as they are only used when running the tests.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Dec 2024 09:20:27 +0100

kglobalacceld (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Ignore testsuite failure on some 32-bit arches (armel, armhf, i386)
    since Qt 6.7.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kglobalacceld
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
@@ -25,20 +24,20 @@
                libxcb-xkb-dev,
                libxcb-xtest0-dev,
                libxcb1-dev,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               xauth,
-               xvfb,
+               qt6-base-dev (>= 6.7.0~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kglobalacceld
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
 Rules-Requires-Root: no
 
 Package: kglobalacceld
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
-Replaces: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
+Breaks: libkf5globalaccel-bin (<< 5.115.0-7~),
+Replaces: libkf5globalaccel-bin (<< 5.115.0-7~),
 Description: daemon for global keyboard shortcuts on the Plasma desktop
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.
@@ -60,9 +59,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkglobalacceld0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: libkglobalacceld0 (= ${binary:Version}), ${misc:Depends},
 Description: daemon for global keyboard shortcuts on the Plasma desktop - development files
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.

## kglobalacceld 6.3.2

=== debian/changelog ===
kglobalacceld (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:51:10 +0100

## kglobalacceld 6.3.4

=== debian/changelog ===
kglobalacceld (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:54:42 +0100

kglobalacceld (6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:59 -0500

kglobalacceld (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:17:11 +0000

kglobalacceld (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces to suit Ubuntu version history.
    - Make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 09:45:13 +0000

kglobalacceld (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:15:11 +0000

kglobalacceld (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:22:16 +0000

kglobalacceld (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:54:07 +0000

kglobalacceld (6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 03:42:13 -0600

kglobalacceld (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:40:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kglobalacceld
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
@@ -29,15 +30,15 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kglobalacceld
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
 Rules-Requires-Root: no
 
 Package: kglobalacceld
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5globalaccel-bin (<< 5.115.0-7~),
-Replaces: libkf5globalaccel-bin (<< 5.115.0-7~),
+Breaks: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
+Replaces: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
 Description: daemon for global keyboard shortcuts on the Plasma desktop
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.
@@ -59,7 +60,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkglobalacceld0 (= ${binary:Version}), ${misc:Depends},
+Depends: libkglobalacceld0 (= ${binary:Version}),
+         ${misc:Depends},
 Description: daemon for global keyboard shortcuts on the Plasma desktop - development files
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.

## kglobalacceld 6.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.3.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(QT_MIN_VERSION "6.7.0")

=== debian/changelog ===
kglobalacceld (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:13 +0100

## kglobalacceld 6.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.3.5")
+set(PROJECT_VERSION "6.3.6")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(QT_MIN_VERSION "6.7.0")

=== debian/changelog ===
kglobalacceld (6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Fix losing shortcuts when updating the system.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Jul 2025 23:55:31 +0200

kglobalacceld (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kglobalacceld
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
@@ -28,17 +27,17 @@
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kglobalacceld
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
 Rules-Requires-Root: no
 
 Package: kglobalacceld
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
-Replaces: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
+Breaks: libkf5globalaccel-bin (<< 5.115.0-7~),
+Replaces: libkf5globalaccel-bin (<< 5.115.0-7~),
 Description: daemon for global keyboard shortcuts on the Plasma desktop
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.
@@ -60,8 +59,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkglobalacceld0 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkglobalacceld0 (= ${binary:Version}), ${misc:Depends},
 Description: daemon for global keyboard shortcuts on the Plasma desktop - development files
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.

## kglobalacceld 6.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,10 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.3.6")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.4")
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -39,6 +38,10 @@
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED DBus Gui Widgets)
+
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 
 find_package(KF6Config ${KF6_MIN_VERSION} REQUIRED)
 find_package(KF6CoreAddons ${KF6_MIN_VERSION} REQUIRED)
@@ -76,7 +79,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.8.0
-    KF 6.9.0
+    KF 6.12.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kglobalacceld (6.4.4-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 23:07:27 +0000

kglobalacceld (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:07:09 +0000

kglobalacceld (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:07:09 +0000

kglobalacceld (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:22:28 +0000

kglobalacceld (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:39:26 +0000

kglobalacceld (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:11:24 +0000

kglobalacceld (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:47:25 +0000

kglobalacceld (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:57:53 +0000

kglobalacceld (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:58:07 +0000

kglobalacceld (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:01:46 +0000

kglobalacceld (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:45:16 +0000

kglobalacceld (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:20:58 +0000

kglobalacceld (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:42:07 +1000

kglobalacceld (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:24:48 +0000

kglobalacceld (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 23 Oct 2024 08:56:02 +0000

kglobalacceld (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:55:34 +0000

kglobalacceld (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:59:33 +0000

kglobalacceld (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:29:22 +0000

kglobalacceld (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:05:53 +0000

kglobalacceld (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:24:21 +0000

kglobalacceld (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:00:54 +0000

kglobalacceld (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:33:10 +0000

kglobalacceld (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:52:24 +0000

kglobalacceld (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:11:53 +0000

kglobalacceld (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:40:53 +0000

kglobalacceld (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:57:23 +0000

kglobalacceld (6.0.0-0neon) jammy; urgency=medium

  [ Jonathan Esk-Riddell ]
  * New release

  [ Carlos De Maine ]
  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:35 +1000

## kglobalacceld 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.4.5")
 
 set(QT_MIN_VERSION "6.8.0")
 set(KF6_MIN_VERSION "6.14.0")

=== src/CMakeLists.txt ===
set(kglobalaccelprivate_SRCS
    kglobalacceld.cpp
    kglobalaccel_interface.cpp
    kserviceactioncomponent.cpp
    component.cpp
    logging.cpp
    globalshortcut.cpp
    globalshortcutsregistry.cpp
    globalshortcutcontext.cpp
    sequencehelpers_p.cpp
)

configure_file(config-kglobalaccel.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kglobalaccel.h )

add_library(KGlobalAccelD ${kglobalaccelprivate_SRCS})
add_library(K::KGlobalAccelD ALIAS KGlobalAccelD)

ecm_generate_export_header(KGlobalAccelD
    EXPORT_FILE_NAME kglobalacceld_export.h
    BASE_NAME KGlobalAccelD
    VERSION ${PROJECT_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KGlobalAccel
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.3 5.90
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KGlobalAccelD INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KGlobalAccelD>")

target_link_libraries(KGlobalAccelD
    PUBLIC
        KF6::GlobalAccel
    PRIVATE
        Qt6::DBus
        KF6::WindowSystem # KKeyServer
        KF6::CoreAddons   # KAboutData
        KF6::ConfigCore
        KF6::Service
        KF6::KIOGui
        KF6::JobWidgets
)

set_target_properties(KGlobalAccelD PROPERTIES VERSION ${KGLOBALACCELD_VERSION}
                                                SOVERSION ${KGLOBALACCELD_SOVERSION}
                                                EXPORT_NAME "KGlobalAccelD"
)

target_compile_definitions(KGlobalAccelD PRIVATE -DQDBUS=${qdbus_EXECUTABLE})

if(XCB_XCB_FOUND)
    target_link_libraries(KGlobalAccelD PUBLIC Qt6::GuiPrivate) # qtx11extras_p.h
endif()

add_executable(kglobalacceld main.cpp logging.cpp)

target_include_directories(kglobalacceld PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(kglobalacceld
    KGlobalAccelD
    KF6::CoreAddons
    KF6::DBusAddons   # KDBusService
    KF6::Crash
    )

add_subdirectory(plugins)

install(TARGETS KGlobalAccelD EXPORT KGlobalAccelDTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install(TARGETS kglobalacceld DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kglobalacceld_export.h
  kglobalacceld.h
  kglobalaccel_interface.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KGlobalAccelD/ COMPONENT Devel
)

include (ECMConfiguredInstall)
ecm_install_configured_files(
   INPUT plasma-kglobalaccel.service.in
   DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)

ecm_install_configured_files(
    INPUT kglobalacceld.desktop.in
    DESTINATION ${KDE_INSTALL_AUTOSTARTDIR} @ONLY
)

=== debian/changelog ===
kglobalacceld (6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:31:28 +0100

kglobalacceld (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:17 +0100

kglobalacceld (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:27:59 +0100

=== debian/control ===
Source: kglobalacceld
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               qt6-base-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kglobalacceld
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
Rules-Requires-Root: no

Package: kglobalacceld
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
Replaces: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
Description: daemon for global keyboard shortcuts on the Plasma desktop
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the daemon and its desktop and service files.

Package: libkglobalacceld0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - shared library
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the shared library for interfacing with the daemon.

Package: libkglobalacceld-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkglobalacceld0 (= ${binary:Version}),
         ${misc:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - development files
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the development files for the shared library.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+testsuite_failing_archs := armel armhf hurd-i386 i386
+ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
+  fail_param := || true
+endif
 
 %:
 	dh $@

## kglobalacceld 6.4.5+p24.04+vstable+git20251012.0412

=== debian/changelog ===
kglobalacceld (6.4.5+p24.04+vstable+git20251012.0412-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:12:42 +0000

kglobalacceld (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:52:45 +0000

=== debian/control ===
Source: kglobalacceld
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-kwindowsystem-dev,
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kglobalaccel
Vcs-Git: https://invent.kde.org/neon/kde/kglobalacceld.git
Vcs-Browser: https://invent.kde.org/neon/kde/kglobalacceld
Maintainer: Neon CI <neon@kde.org>

Package: kglobalacceld
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains binaries.

Package: kglobalacceld-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kglobalacceld (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: development files for kglobalaccel
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 Contains development files for kglobalaccel.

## kglobalacceld 6.4.5+p24.04+vstable+git20251019.0214

=== debian/changelog ===
kglobalacceld (6.4.5+p24.04+vstable+git20251019.0214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:14:47 +0000

## kglobalacceld 6.4.5+p24.04+vunstable+git20250924.0855

=== debian/changelog ===
kglobalacceld (6.4.5+p24.04+vunstable+git20250924.0855-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Sep 2025 08:55:08 +0000

## kglobalacceld 6.4.5+p24.04+vunstable+git20250930.1635

=== debian/changelog ===
kglobalacceld (6.4.5+p24.04+vunstable+git20250930.1635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 16:35:18 +0000
